%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Written by Justin Legleiter %
% For Use in:                 %
% 09-723 Proximal Probe Tech  %
% (c)2004                     %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% This code makes use of:
% Painless MATLAB GUIs for everybody
% (c) 2003, University of Cambridge
% Stefan Bleeck (stefan@bleeck.de)
% http://www.mrc-cbu.cam.ac.uk/cnbh/aimmanual/tools/parameter
% $Date: 2004/07/26$

%Welcome and thanks for peaking!!!!
function TuningGUI(params)
%defining a butt load of parameters
global Kspring; global Bdamp; global Mtip;global Ncycles; global PtsPerCycle;
global Zstart; global Zprime; global Finitial; global Fres; global Phi
global Skippy; global Fres; global SimStep; global Nsteps; global SimTime;
global Npts; global PointMat;global Foper; global Fo; global NginPT; 
global Ztraj; global dummy;global Bpower;global Penergy; global Tenergy;
global Kenergy; global Dpower;global time; global Denergy;global Benergy;
global Atip; global Rtip; global sigma; global Zend; global RampRate;
global Q; global IndentConst; global aDMT;global RampPos; global FLJ
global Wtotal; global r;global begin;global SweepStart;global SweepWidth;
global ResPeak,global Wopers;global Ao;global FoInt;global Xlevel;
%parameters pooped out

%global ModParams
% check the number of inputs
if nargin==0 % initial call without parameters.
params=parameter('Tuning','nonmodal', 'south'); % create an object of the parameter class with name
    % now we add some items to it:
params=add(params,'float','SweepStart',unit_none,25000);%textbox for entering Kspring
params=add(params,'float','SweepWidth',unit_none,10000);%textbox for entering Bdamp
%params=add(params,'float','Phi (rad)',unit_none,0)%textbox for entering Phi
params=add(params,'float','Foper (Hz)',unit_none,30000);%textbox for entering Foper

params=add(params,'button','ResPeak','TuningGUI(params)');%Button to run sim 
params=add(params,'button','Tune','ResPeakTune2');%Button to run sim 
params=add(params,'button','Manual Tune','ResPeakTuneMan');%Button to run sim 

    parametergui(params); % create the gui
    return  % and return to the shell. From now on the gui has the control 
end

% if we are here then we are called from the gui with the parameter
% structure in "params"

%creating paramter
Fo=FoInt;
SweepStart=get(params,'SweepStart');
SweepWidth=get(params,'SweepWidth');
sim('ResPeak3')%calling model

figure(10)
set(gcf,'Color', [1 1 1]);
set (gcf, 'NumberTitle','off');
set (gcf, 'name','ResonancePeak');
plot(Wopers,ResPeak);
xlabel 'Frequency (Hz)'
ylabel 'Amplitude (m)'


